MINTPY-PREP_ISCE(1)

NAME
mintpy-prep_isce - Prepare ISCE metadata files.

DESCRIPTION
usage: prep_isce.py [-h] -d DSETDIR [-f DSETFILES [DSETFILES ...]] -m METAFILE

[-b BASELINEDIR] -g GEOMETRYDIR
    [--geom-files [GEOMETRYFILES ...]] [--force]

Prepare ISCE metadata files.

  options:

-h, --help
    show this help message and exit

-d DSETDIR, --ds-dir DSETDIR, --dset-dir DSETDIR
    The directory which contains all pairs e.g.: $PROJECT_DIR/merged/interferograms OR

$PROJECT_DIR/pairs/*-*/insar OR
    $PROJECT_DIR/merged/offsets

-f DSETFILES [DSETFILES ...], --file-pattern DSETFILES [DSETFILES ...]
    List of observation file basenames, e.g.: filt_fine.unw OR filtAz*.off

-m METAFILE, --meta-file METAFILE
    Metadata file to extract common metada for the stack: e.g.: for ISCE/topsStack : reference/IW3.xml;

for ISCE/stripmapStack: referenceShelve/data.dat;
    for ISCE/alosStack : pairs/150408-150701/150408.track.xml

    where 150408 is the reference date of stack processing

-b BASELINEDIR, --baseline-dir BASELINEDIR
    Directory with baselines.Set "random" to generate baseline with random value from [-10,10].Set "random-100" to generate baseline with random value from [-100,100].

-g GEOMETRYDIR, --geometry-dir GEOMETRYDIR
    Directory with geometry files

--geom-files [GEOMETRYFILES ...]
    List of geometry file basenames. Default: ['hgt.rdr', 'lat.rdr', 'lon.rdr', 'los.rdr', 'shadowMask.rdr', 'waterMask.rdr', 'incLocal.rdr']. All geometry files need to be in the same directory.

--force
    Force to overwrite all .rsc metadata files.

  example:

    # interferogram stack prep_isce.py -d ./merged/interferograms -m ./reference/IW1.xml -b ./baselines -g ./merged/geom_reference #for topsStack prep_isce.py -d ./Igrams -m ./referenceShelve/data.dat -b ./baselines -g ./geom_reference #for stripmapStack prep_isce.py -m 20120507_slc_crop.xml -g ./geometry #for stripmapApp prep_isce.py -d "pairs/*-*/insar" -m "pairs/*-*/150408.track.xml" -b baseline -g dates_resampled/150408/insar #for alosStack with 150408 as ref date

    # offset stack prep_isce.py -d ./offsets -f *Off*.bip -m ./../reference/IW1.xml -b ./../baselines -g ./offsets/geom_reference #for topsStack prep_isce.py -d ./offsets -f *Off*.bip -m ./SLC/*/data.dat -b random -g ./geometry #for UAVSAR coregStack